{{- if .Values.prometheusRule.enabled }}
apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  name: {{ include "squid-proxy.fullname" . }}
  labels:
    {{- include "squid-proxy.labels" . | nindent 4 }}
spec:
  groups:
    - name: SquidProxy
      rules:
        - alert: HighRequestLatency
          expr: squid_request_duration_seconds_count > 5
          for: 10m
          labels:
            severity: warning
          annotations:
            summary: High request latency on labels.instance
{{- end }}
